%global momorel 1

Name:           libopenraw
Version:        0.0.5
Release:        %{momorel}m%{?dist}
Summary:        Decode camera RAW files

Group:          System Environment/Libraries
License:        LGPL
URL:            http://%{name}.freedesktop.org/wiki
Source0:        http://%{name}.freedesktop.org/download/%{name}-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  boost-devel
BuildRequires:  libjpeg-devel
BuildRequires:  glib2-devel
BuildRequires:  gtk2-devel

%description
libopenraw is an ongoing project to provide a free software
implementation for camera RAW files decoding. One of the main reason is
that dcraw is not suited for easy integration into applications, and
there is a need for an easy to use API to build free software digital
image processing application.

%package        gnome
Summary:        GUI components of %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    gnome 
The %{name}-gnome package contains gui components of %{name}.

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package        gnome-devel
Summary:        Development files for %{name}-gnome
Group:          Development/Libraries
Requires:       %{name}-gnome = %{version}-%{release}
Requires:       %{name}-devel = %{version}-%{release}
Requires:       pkgconfig

%description    gnome-devel
The %{name}-gnome-devel package contains libraries and header files for
developing applications that use %{name}-gnome.

%prep
%setup -q

%build
%configure --disable-static
%make

%install
rm -rf --preserve-root %{buildroot}
make install DESTDIR=%{buildroot}
find %{buildroot} -name '*.la' -delete

%clean
rm -rf --preserve-root %{buildroot}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%post gnome -p /sbin/ldconfig
%postun gnome -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README TODO 
%{_libdir}/%{name}.so.*

%files gnome
%defattr(-,root,root,-)
%{_libdir}/%{name}gnome.so.*

%files devel
%defattr(-,root,root,-)
%dir %{_includedir}/%{name}-1.0
%{_includedir}/%{name}-1.0/%{name}
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}-1.0.pc

%files gnome-devel
%defattr(-,root,root,-)
%{_includedir}/%{name}-1.0/%{name}-gnome
%{_libdir}/%{name}gnome.so
%{_libdir}/pkgconfig/%{name}-gnome-1.0.pc

%changelog
* Sat May 17 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.0.5-1m)
- update 0.0.5

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.0.2-2m)
- rebuild against gcc43

* Sat Jul  7 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.0.2-1m)
- import from f7 to Momonga

* Thu May 03 2007 Trond Danielsen <trond.danielsen@gmail.com> - 0.0.2-5
- Added unowned directory to list of files.
- Changed license from GPL to LGPL.

* Wed May 02 2007 Trond Danielsen <trond.danielsen@gmail.com> - 0.0.2-4
- Moved gui components to a separate package.

* Tue May 01 2007 Trond Danielsen <trond.danielsen@gmail.com> - 0.0.2-3
- Added missing BuildRequirement.

* Mon Apr 30 2007 Trond Danielsen <trond.danielsen@gmail.com> - 0.0.2-2
- Added missing BuildRequirement.

* Sun Apr 29 2007 Trond Danielsen <trond.danielsen@gmail.com> - 0.0.2-1
- Inital version.
